Bug 1059187 - [abrt] evince: gtk_tree_row_ref_deleted(): evince killed by SIGSEGV
Summary: [abrt] evince: gtk_tree_row_ref_deleted(): evince killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk3
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:8b8b975a6562b298b99aa44db81...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-29 11:52 UTC by Neal Becker
Modified: 2014-12-15 04:27 UTC (History)
3 users (show)

Fixed In Version: gtk3-3.14.6-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-15 04:27:49 UTC


Attachments (Terms of Use)
File: backtrace (31.62 KB, text/plain)
2014-01-29 11:52 UTC, Neal Becker
no flags Details
File: cgroup (174 bytes, text/plain)
2014-01-29 11:52 UTC, Neal Becker
no flags Details
File: core_backtrace (20.17 KB, text/plain)
2014-01-29 11:52 UTC, Neal Becker
no flags Details
File: dso_list (9.67 KB, text/plain)
2014-01-29 11:52 UTC, Neal Becker
no flags Details
File: environ (1.96 KB, text/plain)
2014-01-29 11:52 UTC, Neal Becker
no flags Details
File: exploitable (82 bytes, text/plain)
2014-01-29 11:52 UTC, Neal Becker
no flags Details
File: limits (1.29 KB, text/plain)
2014-01-29 11:52 UTC, Neal Becker
no flags Details
File: maps (57.04 KB, text/plain)
2014-01-29 11:52 UTC, Neal Becker
no flags Details
File: open_fds (2.17 KB, text/plain)
2014-01-29 11:52 UTC, Neal Becker
no flags Details
File: proc_pid_status (947 bytes, text/plain)
2014-01-29 11:52 UTC, Neal Becker
no flags Details
File: var_log_messages (14.19 KB, text/plain)
2014-01-29 11:52 UTC, Neal Becker
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 699918 None None None Never

Description Neal Becker 2014-01-29 11:52:14 UTC
Description of problem:
tried to open a pdf

Version-Release number of selected component:
evince-3.10.3-1.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        evince stuff.2014-01-28.pdf
crash_function: gtk_tree_row_ref_deleted
executable:     /usr/bin/evince
kernel:         3.12.6-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_tree_row_ref_deleted at gtktreemodel.c:2130
 #1 gtk_tree_row_reference_deleted at gtktreemodel.c:2509
 #2 gtk_tree_view_row_deleted at gtktreeview.c:9048
 #7 gtk_tree_model_row_deleted at gtktreemodel.c:1867
 #8 emit_row_deleted_for_row at gtkfilesystemmodel.c:331
 #9 remove_file at gtkfilesystemmodel.c:1912
 #10 gtk_file_system_model_monitor_change at gtkfilesystemmodel.c:1257
 #11 ffi_call_unix64 at ../src/x86/unix64.S:76
 #12 ffi_call at ../src/x86/ffi64.c:522
 #13 g_cclosure_marshal_generic_va at gclosure.c:1550

Comment 1 Neal Becker 2014-01-29 11:52:18 UTC
Created attachment 857018 [details]
File: backtrace

Comment 2 Neal Becker 2014-01-29 11:52:19 UTC
Created attachment 857019 [details]
File: cgroup

Comment 3 Neal Becker 2014-01-29 11:52:21 UTC
Created attachment 857020 [details]
File: core_backtrace

Comment 4 Neal Becker 2014-01-29 11:52:23 UTC
Created attachment 857021 [details]
File: dso_list

Comment 5 Neal Becker 2014-01-29 11:52:24 UTC
Created attachment 857022 [details]
File: environ

Comment 6 Neal Becker 2014-01-29 11:52:26 UTC
Created attachment 857023 [details]
File: exploitable

Comment 7 Neal Becker 2014-01-29 11:52:27 UTC
Created attachment 857024 [details]
File: limits

Comment 8 Neal Becker 2014-01-29 11:52:29 UTC
Created attachment 857025 [details]
File: maps

Comment 9 Neal Becker 2014-01-29 11:52:30 UTC
Created attachment 857026 [details]
File: open_fds

Comment 10 Neal Becker 2014-01-29 11:52:31 UTC
Created attachment 857027 [details]
File: proc_pid_status

Comment 11 Neal Becker 2014-01-29 11:52:33 UTC
Created attachment 857028 [details]
File: var_log_messages

Comment 12 Marek Kašík 2014-01-29 12:15:54 UTC
There is quite a lot of bugs with similar backtrace in different packages (e.g. 1054378, 1048388, 1028787, 1027382, 1022274, 1018545, 1016895). It looks like a gtk3 bug to me => I'm reassigning this to gtk3.

(there is also an upstream bug related to this - https://bugzilla.gnome.org/show_bug.cgi?id=699918)

Comment 13 Fedora Update System 2014-12-12 04:52:59 UTC
gtk3-3.14.6-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/gtk3-3.14.6-1.fc21

Comment 14 Fedora Update System 2014-12-13 09:45:57 UTC
Package gtk3-3.14.6-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gtk3-3.14.6-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-16867/gtk3-3.14.6-1.fc21
then log in and leave karma (feedback).

Comment 15 Fedora Update System 2014-12-15 04:27:49 UTC
gtk3-3.14.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.